--- old/usr/src/head/time.h	Sat Aug  2 23:27:15 2014
+++ new/usr/src/head/time.h	Sat Aug  2 23:27:15 2014
@@ -23,12 +23,13 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
 /*
  * Copyright 2010 Nexenta Systems, Inc.  Al rights reserved.
- * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  */
 
 #ifndef _TIME_H
@@ -76,8 +77,6 @@
 typedef int	timer_t;
 #endif
 
-#if defined(__STDC__)
-
 #if defined(__EXTENSIONS__) || \
 	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_REENTRANT)
@@ -197,47 +196,6 @@
 #endif /* _REENTRANT */
 #endif /* (!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX))... */
 
-#else /* __STDC__ */
-
-extern int cftime(), ascftime();
-extern void tzset();
-extern time_t timegm();
-
-#ifdef _STRPTIME_DONTZERO
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname strptime	__strptime_dontzero
-#else	/* __PRAGMA_REDEFINE_EXTNAME */
-extern char *__strptime_dontzero();
-#define	strptime	__strptime_dontzero
-#endif	/* __PRAGMA_REDEFINE_EXTNAME */
-#endif	/* _STRPTIME_DONTZERO */
-
-extern char *strptime();
-
-#if defined(__EXTENSIONS__) || \
-	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
-	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_REENTRANT)
-extern struct tm *gmtime_r();
-extern struct tm *localtime_r();
-#endif
-
-extern long timezone, altzone;
-extern int daylight;
-extern char *tzname[2];
-
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern struct tm *getdate();
-#ifdef	_REENTRANT
-#undef getdate_err
-#define	getdate_err *(int *)_getdate_err_addr()
-extern int *_getdate_err_addr();
-#else
-extern int getdate_err;
-#endif /* _REENTRANT */
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-
-#endif	/* __STDC__ */
-
 /*
  * ctime_r() & asctime_r() prototypes are defined here.
  */
@@ -278,8 +236,6 @@
 	(!defined(_STRICT_STDC) && !defined(__XOPEN_OR_POSIX)) || \
 	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
 
-#if	defined(__STDC__)
-
 #if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
 
 #ifdef __PRAGMA_REDEFINE_EXTNAME
@@ -322,54 +278,6 @@
 
 #endif  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
 
-#else  /* __STDC__ */
-
-#if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
-
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname asctime_r __posix_asctime_r
-#pragma redefine_extname ctime_r __posix_ctime_r
-extern char *asctime_r();
-extern char *ctime_r();
-#else  /* __PRAGMA_REDEFINE_EXTNAME */
-
-extern char *__posix_asctime_r();
-extern char *__posix_ctime_r();
-
-#ifdef	__lint
-
-#define	asctime_r __posix_asctime_r
-#define	ctime_r __posix_ctime_r
-
-#else	/* !__lint */
-
-static char *
-asctime_r(__tm, __buf)
-	struct tm *__tm;
-	char *__buf;
-{
-	return (__posix_asctime_r(__tm, __buf));
-}
-static char *
-ctime_r(__time, __buf)
-	time_t *__time;
-	char *__buf;
-{
-	return (__posix_ctime_r(__time, __buf));
-}
-
-#endif /* !__lint */
-#endif /* __PRAGMA_REDEFINE_EXTNAME */
-
-#else  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-extern char *asctime_r();
-extern char *ctime_r();
-
-#endif /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-#endif /* __STDC__ */
-
 #endif /* defined(__EXTENSIONS__) || defined(_REENTRANT)... */
 
 
@@ -380,12 +288,8 @@
 typedef struct _locale *locale_t;
 #endif
 
-#if	defined(__STDC__)
 extern size_t strftime_l(char *_RESTRICT_KYWD, size_t,
 	const char *_RESTRICT_KYWD, const struct tm *_RESTRICT_KYWD, locale_t);
-#else /* __STDC__ */
-extern size_t strftime_l();
-#endif /* __STDC__ */
 
 #endif /* defined(_XPG7) || !defined(_STRICT_SYMBOLS) */
 
--- old/usr/src/head/tiuser.h	Sat Aug  2 23:27:16 2014
+++ new/usr/src/head/tiuser.h	Sat Aug  2 23:27:16 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef	_TIUSER_H
 #define	_TIUSER_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.1	*/
-
 /*
  * TLI user interface definitions.
  */
@@ -40,11 +41,7 @@
 
 #if defined(_REENTRANT) || defined(_TS_ERRNO) || \
 	_POSIX_C_SOURCE - 0 >= 199506L
-#if defined(__STDC__)
 extern int	*__t_errno(void);
-#else
-extern int	*__t_errno();
-#endif
 #define	t_errno	(*(__t_errno()))
 #else
 extern int t_errno;
--- old/usr/src/head/ucontext.h	Sat Aug  2 23:27:16 2014
+++ new/usr/src/head/ucontext.h	Sat Aug  2 23:27:16 2014
@@ -23,6 +23,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -48,8 +50,6 @@
 #endif
 #endif
 
-#if defined(__STDC__)
-
 extern int getcontext(ucontext_t *) __RETURNS_TWICE;
 #pragma unknown_control_flow(getcontext)
 extern int setcontext(const ucontext_t *) __NORETURN;
@@ -56,6 +56,7 @@
 extern int swapcontext(ucontext_t *_RESTRICT_KYWD,
 		const ucontext_t *_RESTRICT_KYWD);
 extern void makecontext(ucontext_t *, void(*)(), int, ...);
+
 #if !defined(_XPG4_2) || defined(__EXTENSIONS__)
 extern int walkcontext(const ucontext_t *, int (*)(uintptr_t, int, void *),
     void *);
@@ -70,30 +71,8 @@
 extern int stack_violation(int, const siginfo_t *, const ucontext_t *);
 
 extern void *_stack_grow(void *);
-#endif
-#else
+#endif	/* !_XPG4_2 || __EXTENSIONS__ */
 
-extern int getcontext() __RETURNS_TWICE;
-#pragma unknown_control_flow(getcontext)
-extern int setcontext();
-extern int swapcontext();
-extern void makecontext();
-#if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int walkcontext();
-extern int printstack();
-extern int addrtosymstr();
-extern int getustack();
-extern int setustack();
-
-extern int stack_getbounds();
-extern int stack_setbounds();
-extern int stack_inbounds();
-extern int stack_violation();
-
-extern void *_stack_grow();
-#endif
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/ucred.h	Sat Aug  2 23:27:16 2014
+++ new/usr/src/head/ucred.h	Sat Aug  2 23:27:16 2014
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -26,8 +28,6 @@
 #ifndef	_UCRED_H_
 #define	_UCRED_H_
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <sys/priv.h>
 #include <sys/tsol/label.h>
@@ -41,7 +41,6 @@
 /*
  * library functions prototype.
  */
-#if	defined(__STDC__)
 
 extern ucred_t *ucred_get(pid_t pid);
 
@@ -70,37 +69,6 @@
 
 extern projid_t ucred_getprojid(const ucred_t *);
 
-#else	/* Non ANSI */
-
-extern ucred_t *ucred_get(/* pid_t pid */);
-
-extern void ucred_free(/* ucred_t * */);
-
-extern uid_t ucred_geteuid(/* ucred_t * */);
-extern uid_t ucred_getruid(/* ucred_t * */);
-extern uid_t ucred_getsuid(/* ucred_t * */);
-extern gid_t ucred_getegid(/* ucred_t * */);
-extern gid_t ucred_getrgid(/* ucred_t * */);
-extern gid_t ucred_getsgid(/* ucred_t * */);
-extern int   ucred_getgroups(/* ucred_t *, gid_t ** */);
-
-extern priv_set_t *ucred_getprivset(/* ucred_t *, priv_ptype_t */);
-extern uint_t ucred_getpflags(/* ucred_t *, uint_t */);
-
-extern pid_t ucred_getpid(/* ucred_t * */);
-
-extern size_t ucred_size(/* void */);
-
-extern int getpeerucred(/* int, ucred_t ** */);
-
-extern zoneid_t ucred_getzoneid(/* ucred_t * */);
-
-extern bslabel_t *ucred_getlabel(/* const ucred_t * */);
-
-extern projid_t ucred_getprojid(/* ucred_t * */);
-
-#endif	/* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/ulimit.h	Sat Aug  2 23:27:16 2014
+++ new/usr/src/head/ulimit.h	Sat Aug  2 23:27:16 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _ULIMIT_H
 #define	_ULIMIT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.4	*/
-
 #include <sys/ulimit.h>
 
 #ifdef	__cplusplus
@@ -34,11 +35,7 @@
 extern "C" {
 #endif
 
-#ifdef __STDC__
 extern long ulimit(int, ...);
-#else
-extern long ulimit();
-#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/unistd.h	Sat Aug  2 23:27:16 2014
+++ new/usr/src/head/unistd.h	Sat Aug  2 23:27:16 2014
@@ -20,6 +20,7 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 2013 Gary Mills
  *
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
@@ -241,8 +242,6 @@
 #endif	/* __PRAGMA_REDEFINE_EXTNAME */
 #endif	/* _LP64 && _LARGEFILE64_SOURCE */
 
-#if defined(__STDC__)
-
 extern int access(const char *, int);
 #if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
 extern int acct(const char *);
@@ -602,324 +601,7 @@
 extern int	lockf64(int, int, off64_t);
 #endif	/* _LARGEFILE64_SOURCE */
 
-#else  /* __STDC__ */
-
-extern int access();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int acct();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern unsigned alarm();
-#if !defined(__XOPEN_OR_POSIX) || (defined(_XPG4_2) && !defined(_XPG6)) || \
-	defined(__EXTENSIONS__)
-extern int brk();
-#endif /* !defined(__XOPEN_OR_POSIX) || (defined(_XPG4_2)... */
-extern int chdir();
-extern int chown();
-#if !defined(_POSIX_C_SOURCE) || defined(_XOPEN_SOURCE) || \
-	defined(__EXTENSIONS__)
-extern int chroot();
-#endif /* (!defined(_POSIX_C_SOURCE) || defined(_XOPEN_SOURCE)... */
-extern int close();
-#if defined(_XPG4) || defined(__EXTENSIONS__)
-extern size_t confstr();
-extern char *crypt();
-#endif /* defined(XPG4) || defined(__EXTENSIONS__) */
-#if !defined(_POSIX_C_SOURCE) || defined(_XPG3) || defined(__EXTENSIONS__)
-extern char *ctermid();
-#endif /* (!defined(_POSIX_C_SOURCE) || defined(_XPG3)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(_REENTRANT) || defined(__EXTENSIONS__)
-extern char *ctermid_r();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_REENTRANT) ... */
-#if !defined(_XPG6) || defined(__EXTENSIONS__)
-extern char *cuserid();
-#endif
-extern int dup();
-extern int dup2();
-extern int dup3();
-#if defined(_XPG4) || defined(__EXTENSIONS__)
-extern void encrypt();
-#endif /* defined(_XPG4) || defined(__EXTENSIONS__) */
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern void endusershell();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern int execl();
-extern int execle();
-extern int execlp();
-extern int execv();
-extern int execve();
-extern int execvp();
-extern void _exit();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int fattach();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
 #if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int fchdir();
-extern int fchown();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int fchroot();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-#if !defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE > 2) || \
-	defined(__EXTENSIONS__)
-extern int fdatasync();
-#endif /* !defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE > 2)... */
-#if !defined(__XOPEN_OR_POSIX)
-extern int fdetach();
-#endif /* !defined(__XOPEN_OR_POSIX) */
-extern pid_t fork();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern pid_t fork1();
-extern pid_t forkall();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern long fpathconf();
-#if !defined(_POSIX_C_SOURCE) || (_POSIX_C_SOURCE > 2) || \
-	defined(__EXTENSIONS__)
-extern int fsync();
-#endif /* !defined(_POSIX_C_SOURCE) || (_POSIX_C_SOURCE > 2)... */
-#if !defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE > 2) || defined(_XPG4_2) || \
-	(defined(_LARGEFILE_SOURCE) && _FILE_OFFSET_BITS == 64) || \
-	defined(__EXTENSIONS__)
-extern int ftruncate();
-#endif /* !defined(__XOPEN_OR_POSIX) (_POSIX_C_SOURCE > 2)... */
-extern char *getcwd();
-#if !defined(__XOPEN_OR_POSIX) || (defined(_XPG4_2) && !defined(_XPG6)) || \
-	defined(__EXTENSIONS__)
-extern int getdtablesize();
-#endif
-extern gid_t getegid();
-extern uid_t geteuid();
-extern gid_t getgid();
-extern int getgroups();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern long gethostid();
-#endif
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int gethostname();
-#endif
-
-#ifndef __GETLOGIN_DEFINED	/* Avoid duplicate in stdlib.h */
-#define	__GETLOGIN_DEFINED
-#ifndef __USE_LEGACY_LOGNAME__
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname getlogin	getloginx
-#else	/* __PRAGMA_REDEFINE_EXTNAME */
-extern char *getloginx();
-#define	getlogin	getloginx
-#endif	/* __PRAGMA_REDEFINE_EXTNAME */
-#endif	/* __USE_LEGACY_LOGNAME__ */
-extern char *getlogin();
-#endif	/* __GETLOGIN_DEFINED */
-
-#if defined(_XPG4) || defined(__EXTENSIONS__)
-extern int  getopt();
-extern char *optarg;
-extern int  opterr, optind, optopt;
-#if !defined(_XPG6) || defined(__EXTENSIONS__)
-extern char *getpass();
-#endif
-#endif /* defined(_XPG4) || defined(__EXTENSIONS__) */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-#if !defined(_XPG6) || defined(__EXTENSIONS__)
-extern int getpagesize();
-#endif
-extern pid_t getpgid();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-extern pid_t getpid();
-extern pid_t getppid();
-extern pid_t getpgrp();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-char *gettxt();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern pid_t getsid();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) */
-extern uid_t getuid();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern char *getusershell();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern char *getwd();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int ioctl();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int isaexec();
-extern int issetugid();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern int isatty();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int lchown();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) */
-extern int link();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern offset_t llseek();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || \
-	(defined(_LARGEFILE_SOURCE) && _FILE_OFFSET_BITS == 64) || \
-	defined(__EXTENSIONS__)
-extern int lockf();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-extern off_t lseek();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int mincore();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-#if !defined(_POSIX_C_SOURCE) || defined(_XOPEN_SOURCE) || \
-	defined(__EXTENSIONS__)
-extern int nice();
-#endif /* !defined(_POSIX_C_SOURCE) || defined(_XOPEN_SOURCE)... */
-extern long pathconf();
-extern int pause();
-extern int pipe();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG5) || \
-	(defined(_LARGEFILE_SOURCE) && _FILE_OFFSET_BITS == 64) || \
-	defined(__EXTENSIONS__)
-extern ssize_t pread();
-#endif
-#if !defined(_LP64) && \
-	(!defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__))
-extern void profil();
-extern int ptrace();
-#endif
-#if !defined(__XOPEN_OR_POSIX) || \
-	((_POSIX_C_SOURCE > 2) && !defined(_XPG6)) || \
-	defined(__EXTENSIONS__)
-extern int pthread_atfork();
-#endif /* !defined(__XOPEN_OR_POSIX) || ((_POSIX_C_SOURCE > 2) ...  */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG5) || \
-	(defined(_LARGEFILE_SOURCE) && _FILE_OFFSET_BITS == 64) || \
-	defined(__EXTENSIONS__)
-extern ssize_t pwrite();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG5) */
-extern ssize_t read();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-/* per RFC 3542; This is also defined in netdb.h */
-extern int rcmd_af();
-#endif
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern ssize_t readlink();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-#if (!defined(__XOPEN_OR_POSIX) || (defined(_XPG3) && !defined(_XPG4))) || \
-	defined(__EXTENSIONS__)
-extern int rename();
-#endif /* (!defined(__XOPEN_OR_POSIX) || (defined(_XPG3)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int resolvepath();
-/* per RFC 3542; This is also defined in netdb.h */
-extern int rexec_af();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern int rmdir();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-/* per RFC 3542; This is also defined in netdb.h */
-extern int rresvport_af();
-#endif
-#if !defined(__XOPEN_OR_POSIX) || (defined(_XPG4_2) && !defined(_XPG6)) || \
-	defined(__EXTENSIONS__)
-extern void *sbrk();
-#endif /* !defined(__XOPEN_OR_POSIX)|| (defined(_XPG4_2)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG6) || defined(__EXTENSIONS__)
-extern int setegid();
-extern int seteuid();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG6) ... */
-extern int setgid();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int setgroups();
-extern int sethostname();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern int setpgid();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern pid_t setpgrp();
-extern int setregid();
-extern int setreuid();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-extern pid_t setsid();
-extern int setuid();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern void setusershell();
-#endif /* !defined(__XOPEN_OR_POSIX)|| defined(__EXTENSIONS__) */
-extern unsigned sleep();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int stime();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-#if defined(_XPG4)
-/* __EXTENSIONS__ makes the SVID Third Edition prototype in stdlib.h visible */
-extern void swab();
-#endif /* defined(_XPG4) */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int symlink();
-extern void sync();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-#if defined(_XPG5)
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname sysconf __sysconf_xpg5
-extern long sysconf();
-#else /* __PRAGMA_REDEFINE_EXTNAME */
-extern long __sysconf_xpg5();
-#define	sysconf __sysconf_xpg5
-#endif  /* __PRAGMA_REDEFINE_EXTNAME */
-#endif	/* defined(_XPG5) */
-extern pid_t tcgetpgrp();
-extern int tcsetpgrp();
-#if !defined(__XOPEN_OR_POSIX) || \
-	(defined(_LARGEFILE_SOURCE) && _FILE_OFFSET_BITS == 64) || \
-	defined(__EXTENSIONS__)
-extern off_t tell();
-#endif /* !defined(__XOPEN_OR_POSIX)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || \
-	(defined(_LARGEFILE_SOURCE) && _FILE_OFFSET_BITS == 64) || \
-	defined(__EXTENSIONS__)
-extern int truncate();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-extern char *ttyname();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern useconds_t ualarm();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-extern int unlink();
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int usleep();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern pid_t vfork();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern void vhangup();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-extern ssize_t write();
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern void yield();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-
-#if !defined(__XOPEN_OR_POSIX) || defined(_ATFILE_SOURCE) || \
-	defined(__EXTENSIONS__)
-	/* || defined(_XPG7) */
-extern int faccessat();
-extern int fchownat();
-extern int linkat();
-extern ssize_t readlinkat();
-extern int renameat();
-extern int symlinkat();
-extern int unlinkat();
-#endif	/* !defined(__XOPEN_OR_POSIX) || defined(_ATFILE_SOURCE)... */
-#if !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__)
-extern int get_nprocs();
-extern int get_nprocs_conf();
-#endif /* !defined(__XOPEN_OR_POSIX) || defined(__EXTENSIONS__) */
-
-/* transitional large file interface versions */
-#if	defined(_LARGEFILE64_SOURCE) && !((_FILE_OFFSET_BITS == 64) && \
-	    !defined(__PRAGMA_REDEFINE_EXTNAME))
-extern int ftruncate64();
-extern off64_t lseek64();
-extern ssize_t pread64();
-extern ssize_t pwrite64();
-extern off64_t tell64();
-extern int truncate64();
-extern int lockf64();
-#endif	/* _LARGEFILE64_SOURCE */
-
-#endif /* __STDC__ */
-
-#if !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2) || defined(__EXTENSIONS__)
 #pragma unknown_control_flow(vfork)
 #endif /* !defined(__XOPEN_OR_POSIX) || defined(_XPG4_2)... */
 
@@ -963,8 +645,6 @@
 	!defined(__XOPEN_OR_POSIX) || (_POSIX_C_SOURCE - 0 >= 199506L) || \
 	defined(_POSIX_PTHREAD_SEMANTICS)
 
-#if	defined(__STDC__)
-
 #if	(_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
 
 #ifndef	__USE_LEGACY_LOGNAME__
@@ -1035,83 +715,6 @@
 
 #endif /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
 
-#else  /* __STDC__ */
-
-#if (_POSIX_C_SOURCE - 0 >= 199506L) || defined(_POSIX_PTHREAD_SEMANTICS)
-
-#ifndef	__USE_LEGACY_LOGNAME__
-#ifdef	__PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname getlogin_r __posix_getloginx_r
-extern int getlogin_r();
-#else	/* __PRAGMA_REDEFINE_EXTNAME */
-extern int __posix_getloginx_r();
-#define	getlogin_r	__posix_getloginx_r
-#endif	/* __PRAGMA_REDEFINE_EXTNAME */
-#else	/* __USE_LEGACY_LOGNAME__ */
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname getlogin_r __posix_getlogin_r
-extern int getlogin_r();
-#else  /* __PRAGMA_REDEFINE_EXTNAME */
-extern int __posix_getlogin_r();
-
-#ifdef	__lint
-
-#define	getlogin_r	__posix_getlogin_r
-
-#else /* !__lint */
-
-static int
-getlogin_r(__name, __len)
-	char *__name;
-	int __len;
-{
-	return (__posix_getlogin_r(__name, __len));
-}
-#endif /* !__lint */
-#endif /* __PRAGMA_REDEFINE_EXTNAME */
-#endif	/* __USE_LEGACY_LOGNAME__ */
-
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma redefine_extname ttyname_r __posix_ttyname_r
-extern int ttyname_r();
-#else  /* __PRAGMA_REDEFINE_EXTNAME */
-
-extern int __posix_ttyname_r();
-
-#ifdef	__lint
-
-#define	ttyname_r	__posix_ttyname_r
-
-#else /* !__lint */
-
-ttyname_r(__fildes, __buf, __size)
-	int __fildes;
-	char *__buf;
-	size_t __size;
-{
-	return (__posix_ttyname_r(__fildes, __buf, __size));
-}
-#endif /* !__lint */
-#endif /* __PRAGMA_REDEFINE_EXTNAME */
-
-#else  /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-#ifndef __USE_LEGACY_LOGNAME__
-#ifdef __PRAGMA_REDEFINE_EXTNAME
-#pragma	redefine_extname getlogin_r	getloginx_r
-#else	/* __PRAGMA_REDEFINE_EXTNAME */
-extern char *getloginx_r();
-#define	getlogin_r	getloginx_r
-#endif	/* __PRAGMA_REDEFINE_EXTNAME */
-#endif	/* __USE_LEGACY_LOGNAME__ */
-extern char *getlogin_r();
-
-extern char *ttyname_r();
-
-#endif /* (_POSIX_C_SOURCE - 0 >= 199506L) || ... */
-
-#endif /* __STDC__ */
-
 #endif /* defined(__EXTENSIONS__) || defined(_REENTRANT)... */
 
 #ifdef	__cplusplus
--- old/usr/src/head/user_attr.h	Sat Aug  2 23:27:16 2014
+++ new/usr/src/head/user_attr.h	Sat Aug  2 23:27:16 2014
@@ -19,6 +19,7 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
  * Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
  */
 
@@ -129,7 +130,6 @@
 	kva_t  *attr;		/* array of key-value pair attributes */
 } userattr_t;
 
-#ifdef	__STDC__
 extern userattr_t *getusernam(const char *);
 extern userattr_t *getuseruid(uid_t uid);
 extern userattr_t *getuserattr(void);
@@ -138,17 +138,6 @@
 extern void enduserattr(void);
 extern void free_userattr(userattr_t *);
 
-#else				/* not __STDC__ */
-
-extern userattr_t *getusernam();
-extern userattr_t *getuseruid();
-extern userattr_t *getuserattr();
-extern userattr_t *fgetuserattr();
-extern void setuserattr();
-extern void enduserattr();
-extern void free_userattr();
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/ustat.h	Sat Aug  2 23:27:16 2014
+++ new/usr/src/head/ustat.h	Sat Aug  2 23:27:16 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _USTAT_H
 #define	_USTAT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3.1.6 */
-
 #include <sys/types.h>
 #include <sys/ustat.h>
 
@@ -35,11 +36,7 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
 extern int ustat(dev_t, struct ustat *);
-#else
-extern int ustat();
-#endif	/* end defined(_STDC) */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/utime.h	Sat Aug  2 23:27:17 2014
+++ new/usr/src/head/utime.h	Sat Aug  2 23:27:17 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -28,8 +31,6 @@
 #ifndef _UTIME_H
 #define	_UTIME_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3	*/
-
 #include <sys/utime.h>
 
 #ifdef	__cplusplus
@@ -36,11 +37,7 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
 extern int utime(const char *, const struct utimbuf *);
-#else
-extern int utime();
-#endif /* __STDC__ */
 
 #ifdef	__cplusplus
 }
--- old/usr/src/head/utmp.h	Sat Aug  2 23:27:17 2014
+++ new/usr/src/head/utmp.h	Sat Aug  2 23:27:17 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -32,8 +34,6 @@
 #ifndef _UTMP_H
 #define	_UTMP_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.5.1.7 */
-
 /*
  * Note:  The getutent(3c) family of interfaces are obsolete.
  * The getutxent(3c) family provide a superset of this functionality
@@ -151,7 +151,6 @@
 #define	setuser(ut)	((ut).ut_exit.e_exit = NONROOT_USR)
 
 
-#if defined(__STDC__)
 extern void endutent(void);
 extern struct utmp *getutent(void);
 extern struct utmp *getutid(const struct utmp *);
@@ -159,15 +158,6 @@
 extern struct utmp *pututline(const struct utmp *);
 extern void setutent(void);
 extern int utmpname(const char *);
-#else
-extern void endutent();
-extern struct utmp *getutent();
-extern struct utmp *getutid();
-extern struct utmp *getutline();
-extern struct utmp *pututline();
-extern void setutent();
-extern int utmpname();
-#endif
 
 #endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
 
--- old/usr/src/head/utmpx.h	Sat Aug  2 23:27:17 2014
+++ new/usr/src/head/utmpx.h	Sat Aug  2 23:27:17 2014
@@ -20,6 +20,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 1997 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -35,8 +37,6 @@
 #ifndef _UTMPX_H
 #define	_UTMPX_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 #include <sys/time.h>
@@ -127,8 +127,6 @@
 
 #endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
 
-#if defined(__STDC__)
-
 extern void endutxent(void);
 extern struct utmpx *getutxent(void);
 extern struct utmpx *getutxid(const struct utmpx *);
@@ -146,27 +144,6 @@
 extern void updwtmpx(const char *, struct utmpx *);
 #endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
 
-#else /* __STDC__ */
-
-extern void endutxent();
-extern struct utmpx *getutxent();
-extern struct utmpx *getutxid();
-extern struct utmpx *getutxline();
-extern struct utmpx *pututxline();
-extern void setutxent();
-
-#if !defined(_XPG4_2) || defined(__EXTENSIONS__)
-extern int utmpxname();
-extern struct utmpx *makeutx();
-extern struct utmpx *modutx();
-extern void getutmp();
-extern void getutmpx();
-extern void updwtmp();
-extern void updwtmpx();
-#endif /* !defined(_XPG4_2) || defined(__EXTENSIONS__) */
-
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
--- old/usr/src/head/values.h	Sat Aug  2 23:27:17 2014
+++ new/usr/src/head/values.h	Sat Aug  2 23:27:17 2014
@@ -24,6 +24,8 @@
 
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +33,6 @@
 #ifndef	_VALUES_H
 #define	_VALUES_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.33	*/
-
 #include <sys/isa_defs.h>
 
 #ifdef	__cplusplus
@@ -52,18 +52,9 @@
 /* short, regular and long ints with only the high-order bit turned on */
 #define	HIBITS	((short)(1 << (BITS(short) - 1)))
 
-#if defined(__STDC__)
-
 #define	HIBITI	(1U << (BITS(int) - 1))
 #define	HIBITL	(1UL << (BITS(long) - 1))
 
-#else
-
-#define	HIBITI	((unsigned)1 << (BITS(int) - 1))
-#define	HIBITL	(1L << (BITS(long) - 1))
-
-#endif
-
 /* largest short, regular and long int */
 #define	MAXSHORT	((short)~HIBITS)
 #define	MAXINT		((int)(~HIBITI))
--- old/usr/src/head/wait.h	Sat Aug  2 23:27:17 2014
+++ new/usr/src/head/wait.h	Sat Aug  2 23:27:17 2014
@@ -19,6 +19,9 @@
  *
  * CDDL HEADER END
  */
+/*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ */
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
@@ -26,8 +29,6 @@
 #ifndef _WAIT_H
 #define	_WAIT_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.1	*/
-
 #include <sys/types.h>
 #include <sys/siginfo.h>
 #include <sys/procset.h>
@@ -37,20 +38,10 @@
 extern "C" {
 #endif
 
-#if defined(__STDC__)
-
 extern pid_t wait(int *);
 extern pid_t waitpid(pid_t, int *, int);
 extern int waitid(idtype_t, id_t, siginfo_t *, int);
 
-#else
-
-extern pid_t wait();
-extern pid_t waitpid();
-extern int waitid();
-
-#endif
-
 #ifdef	__cplusplus
 }
 #endif
